| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__BranchOffice Class Reference
Branch Office

Branch Office. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | BranchOfficeName
| The name of the branch office to be created. More...
unsp__BGName | BGName
| The name of an existing BG in which the BO will be included. More...
struct unsp__RepresentativeEndpoint | RepresentativeEndpoint
| The endpoint that branch office members are to be associated with Executive Assistant group. More...
unsp__DIDPool | DIDPool
| DID Pool. More...
xsd__string | OfficeCode
| Default office code to be used across the branch office. More...
xsd__string | RateAreaName
| Default rate area to be used across the branch office. More...
unsp__NumberPlanName | NumberPlanName
| Default name of the numbering plan to be used across the branch office. More...
struct unsp__BranchOfficeAttributes | Attributes
| Attributes. More...
xsd__string | Username
| Username for the administration of OpenBranch type branch offices. More...
xsd__string | Password
| Password for the administration of OpenBranch type branch offices. More...

## Detailed Description

Branch Office.

## Member Data Documentation

## ◆ Attributes

struct unsp__BranchOfficeAttributes unsp__BranchOffice::Attributes

Attributes.

## ◆ BGName

unsp__BGName unsp__BranchOffice::BGName

The name of an existing BG in which the BO will be included.

See also
  unsp__BGName

## ◆ BranchOfficeName

xsd__string unsp__BranchOffice::BranchOfficeName

The name of the branch office to be created.

See also
  unsp__BOName

## ◆ DIDPool

unsp__DIDPool unsp__BranchOffice::DIDPool

DID Pool.

## ◆ NumberPlanName

unsp__NumberPlanName unsp__BranchOffice::NumberPlanName

Default name of the numbering plan to be used across the branch office.

See also
  unsp__NumberPlanName

## ◆ OfficeCode

xsd__string unsp__BranchOffice::OfficeCode

Default office code to be used across the branch office.

default value[range]: NA [1..14]

## ◆ Password

xsd__string unsp__BranchOffice::Password

Password for the administration of OpenBranch type branch offices.

default value[range]: NA [8..30]

## ◆ RateAreaName

xsd__string unsp__BranchOffice::RateAreaName

Default rate area to be used across the branch office.

See also
  unsp__RateAreaName

## ◆ RepresentativeEndpoint

struct unsp__RepresentativeEndpoint unsp__BranchOffice::RepresentativeEndpoint

The endpoint that branch office members are to be associated with Executive Assistant group.

See also
  unsp__EndpointName

## ◆ Username

xsd__string unsp__BranchOffice::Username

Username for the administration of OpenBranch type branch offices.

default value[range]: NA [1..30]

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h